<div *ngIf="classificationResults" class="results-container" [class.red-bar]="this.progressBarValue >= 90" [class.green-bar]="this.progressBarValue <= 5">
  <div class="results-title">Classification results</div>
  <div class="results">
    <div class="mean">Result: {{this.classificationResults.mean | percent}} pneumonia. Uncertainty: {{this.classificationResults.variance | percent}}</div>
    <mat-progress-bar mode="determinate" [value]="this.progressBarValue"></mat-progress-bar>
  </div>

  <div class="heatmap-container">
    <div class="results-title heatmap-title">Importance heatmap</div>
    <img class="heatmap" [src]="this.sanitizer.bypassSecurityTrustUrl(classificationResults.heatmap)" alt="Classification heatmap">
  </div>

  <button mat-raised-button (click)="handleNewClassificationClicked()" color="primary">Classify another image</button>
</div>
